/* Copyright 2009 Palm, Inc.  All rights reserved. */

var GsmService = Class.create( {
	
	initialize: function() {
		
	},
	
	getDeviceLockValue: function (successCallback, errorCallback) {
		return new Mojo.Service.Request("palm://com.palm.telephony/", {
            method: 'deviceLockQuery',
            parameters: {
                'subscribe': true
            },
            onSuccess: successCallback,
            onFailure: errorCallback
        });
	},
	
	displayDeviceLock: function(type, unblock) {
       return new Mojo.Service.Request("palm://com.palm.applicationManager/open", {
            parameters: {
                'id': "com.palm.app.phoneprefs",
                params: {
                    launchType: 'devicelock',
                    type: type,
                    unblock:unblock,
					callingapp: 'firstuse',
					"locale": Account.language + '_' + Account.country 
                }   
            }
        });        
    },
	
	displayApnSettings: function(){
		return new Mojo.Service.Request("palm://com.palm.applicationManager/open", {
			parameters: {
				id: 'com.palm.app.phoneprefs',
				params: {
					launchType: 'apn',
					callingapp: 'firstuse',
					locale: Account.language + '_' + Account.country
				}
			}
		});
	}
}); 	